#ifndef _EZPCI_EERNO_H_
#define _EZPCI_EERNO_H_


#define EZPCI_SUCCESS   			0x0
#define EZPCI_ERR_INIT_LIB 			0x1
#define EZPCI_ERR_NO_PCISPECFILE   		0x2
#define EZPCI_ERR_INVALID_PCISPECFILE_NUM_ARGS  0x4
#define EZPCI_ERR_BMC   			0x5
#define EZPCI_ERR_INVALID_PRODUCT		0x6
#define EZPCI_ERR_GEN				0x7
#define EZPCI_ERR_UNSUPPORTED_MULTI_DOMAIN	0x8
#define EZPCI_ERR_NO_SLOT_DATA_FOUND		0x9
#define EZPCI_ERR_TOO_MANY_IOC  			0xA
#define EZPCI_ERR_MEM_ALLOC  				0xB
#define EZPCI_ERR_DECODERAW_PCICONFIG   	0xE
#define EZPCI_ERR_CANT_DETERMINE_SLOT   	0xF
#define EZPCI_ERR_UNSUPPORTED_PRODUCT  	       0x10
#define EZPCI_ERR_NO_PRODUCTNAME      	      0x101
#define EZPCI_ERR_MIXED_FW      	      0x102
#define EZPCI_ERR_ACPI_INIT          	      0x103
#define EZPCI_ERR_ACPI_DEV          	      0x104
#define EZPCI_ERR_ACPI_METHOD          	      0x105
#define EZPCI_ERR_NO_LSPCI          	      0x106
#define EZPCI_ERR_LIB_UNINIT         	      0x107
#define EZPCI_ERR_NO_HPMODEL         	      0x108

#define EZPCI_ERR_READ_BUSTREE         	      0x201
#define EZPCI_ERR_READ_PCISLOT         	      0x202
#define EZPCI_ERR_PCISLOT_NOTLOADED    	      0x203

#define PCI_ERROR_GETTING_DEV_MAP           0x01
#define PCI_NO_DEVICE                       0x02
#define GEN_ERROR                           0x03
#define PCI_UNKNOWN_HEADER                  0x04
#define PCI_ERROR_GETTING_BRIDGE_DEVICE     0x05
#define PCI_BRIDGE_DEVICE                   0x06


#endif   /* _EZPCI_EERNO_H_ */
